Target version:    

Resolution: Wont fix   

Description

The list of discussion boards is poorly implemented as nested div containers with inline styles and extra CSS classes to look like a

table.

I think if it should look like a table, it should also be one.

This also improves the consistency of the UI and reduces the list of CSS classes, theme developers have to style.
Related issues:

Related to Redmine - Feature #29451: Replace tables with components based on ... New

History

#1 - 2018-08-26 12:13 - Marius BĂLTEANU

Bernhard, thanks for the patches, but I think that you should see r15337 for #12909 where Jean-Philippe Lang replaced the tables with divs in Forum.

Because of that, I think that reverting to a table is not a good idea. Also, I prefer to have divs instead tables and maybe is a good idea to replace on

other views the tables with divs.

What we can do is to restore the alternate row colors which is missing now.

Please let me know if I can close this ticket as "Won't fix".

#2 - 2018-08-26 12:14 - Marius BĂLTEANU

- Status changed from New to Needs feedback

- Assignee set to Bernhard Rohloff

#3 - 2018-08-29 09:16 - Bernhard Rohloff

Marius BALTEANU wrote:

Bernhard, thanks for the patches, but I think that you should see r15337 for #12909 where Jean-Philippe Lang replaced the tables with divs in

Forum. Because of that, I think that reverting to a table is not a good idea. Also, I prefer to have divs instead tables and maybe is a good idea to

replace on other views the tables with divs.

 Essentially you are right. Divs would make more sense for responsive designs nowadays. I stumbled upon this particular view while creating a new

theme from scratch and I found it an extremely odd and inconsistent experience that I have to apply extra styles for one single table.

What we can do is to restore the alternate row colors which is missing now.

 Because it's not a huge problem for the casual user and doesn't effect the default theme that much I would let it as it is.

Please let me know if I can close this ticket as "Won't fix".

 I've opened a feature request for replacing the tables in #29451 and you can close this issue in favor for this approach.

#4 - 2018-08-29 09:26 - Marius BĂLTEANU

- Tracker changed from Patch to Feature

- Status changed from Needs feedback to Closed

- Assignee deleted (Bernhard Rohloff)
- Resolution set to Wont fix

Thanks.

#5 - 2018-08-29 09:26 - Marius BĂLTEANU

- Related to Feature #29451: Replace tables with components based on nested div containers added

Files

list_boards_as_a_table_in_project_settings_tab.diff 1.62 KB 2018-08-24 Bernhard Rohloff

remove_table_list_classes_from_stylesheet.diff 1.94 KB 2018-08-24 Bernhard Rohloff

new_table_look.png 15.9 KB 2018-08-24 Bernhard Rohloff

Powered by TCPDF (www.tcpdf.org)

2025-07-01 2/2

http://www.tcpdf.org

